| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Gr.ZedGraphWindow Class Reference

Window form containing a Zedgraph control for plotting graphs. More...

Inheritance diagram for IG.Gr.ZedGraphWindow:
[legend]
Collaboration diagram for IG.Gr.ZedGraphWindow:
[legend]

## Public Member Functions
| ZedGraphWindow ()

## Public Attributes
ZedGraphPlotDlg | PlotDelegate = null

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
ZedGraph.ZedGraphControl | _graphControl

## Properties
ZedGraph.ZedGraphControl | GraphControl`[get, protected set]`
| Zedgraph control that is used for plotting. More...

## Private Member Functions
void | Form1_Load (object sender, EventArgs e)
void | Form1_Resize (object sender, EventArgs e)
| On resize action, resize the ZedGraphControl to fill most of the Form, with a small margin around the outside More...
void | SetSize ()
string | MyPointValueHandler (ZedGraphControl control, GraphPane pane, CurveItem curve, int iPt)
| Display customized tooltips when the mouse hovers over a point More...
void | MyContextMenuBuilder (ZedGraphControl control, ContextMenuStrip menuStrip, Point mousePt, ZedGraphControl.ContextMenuObjectState objState)
| Customize the context menu by adding a new item to the end of the menu More...
void | AddBetaPoint (object sender, EventArgs args)
| Handle the "Add New Beta Point" context menu item. This finds the curve with the CurveItem.Label = "Beta", and adds a new point to it. More...
void | MyZoomEvent (ZedGraphControl control, ZoomState oldState, ZoomState newState)
void | btnCancel_Click (object sender, EventArgs e)
void | chkBlackBg_CheckedChanged (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.GroupBox | grbox1
System.Windows.Forms.Panel | panel1
System.Windows.Forms.Button | btnCancel
System.Windows.Forms.CheckBox | chkBlackBg

## Detailed Description

Window form containing a Zedgraph control for plotting graphs.

$A Igor Jun09 Nov11;

$A Igor Jun09 Nov09;

## Constructor & Destructor Documentation

IG.Gr.ZedGraphWindow.ZedGraphWindow | ( |  | ) |
| inline

## Member Function Documentation

void IG.Gr.ZedGraphWindow.Form1_Load | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr.ZedGraphWindow.Form1_Resize | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

On resize action, resize the ZedGraphControl to fill most of the Form, with a small margin around the outside

void IG.Gr.ZedGraphWindow.SetSize | ( |  | ) |
| inline private

References IG.Gr.Point.

string IG.Gr.ZedGraphWindow.MyPointValueHandler | ( | ZedGraphControl | control,
|  | GraphPane | pane,
|  | CurveItem | curve,
|  | int | iPt
| ) |  |
| inline private

Display customized tooltips when the mouse hovers over a point

void IG.Gr.ZedGraphWindow.MyContextMenuBuilder | ( | ZedGraphControl | control,
|  | ContextMenuStrip | menuStrip,
|  | Point | mousePt,
|  | ZedGraphControl.ContextMenuObjectState | objState
| ) |  |
| inline private

Customize the context menu by adding a new item to the end of the menu

void IG.Gr.ZedGraphWindow.AddBetaPoint | ( | object | sender,
|  | EventArgs | args
| ) |  |
| inline private

Handle the "Add New Beta Point" context menu item. This finds the curve with the CurveItem.Label = "Beta", and adds a new point to it.

void IG.Gr.ZedGraphWindow.MyZoomEvent | ( | ZedGraphControl | control,
|  | ZoomState | oldState,
|  | ZoomState | newState
| ) |  |
| inline private

void IG.Gr.ZedGraphWindow.btnCancel_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr.ZedGraphWindow.chkBlackBg_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Gr.ZedGraphWindow.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Gr.ZedGraphWindow.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

ZedGraphPlotDlg IG.Gr.ZedGraphWindow.PlotDelegate = null

System.ComponentModel.IContainer IG.Gr.ZedGraphWindow.components = null
| private

Required designer variable.

ZedGraph.ZedGraphControl IG.Gr.ZedGraphWindow._graphControl
| protected

System.Windows.Forms.GroupBox IG.Gr.ZedGraphWindow.grbox1
| private

System.Windows.Forms.Panel IG.Gr.ZedGraphWindow.panel1
| private

System.Windows.Forms.Button IG.Gr.ZedGraphWindow.btnCancel
| private

System.Windows.Forms.CheckBox IG.Gr.ZedGraphWindow.chkBlackBg
| private

## Property Documentation

ZedGraph.ZedGraphControl IG.Gr.ZedGraphWindow.GraphControl
| get protected set

Zedgraph control that is used for plotting.

Referenced by IG.Gr.PlotterZedGraph.ExampleCurveStylesWithSave(), IG.Gr.PlotterZedGraph.ExampleDecorations(), IG.Gr.PlotterZedGraph.ExampleLissajous(), and IG.Gr.PlotterZedGraph.ExempleSinePlots().

The documentation for this class was generated from the following files:

- extensions/igplot2d/plot2d/zedgraph/ZedGraphWindow.cs
- extensions/igplot2d/plot2d/zedgraph/ZedGraphWindow.designer.cs